package com.usky.dxtop.controller.web;


import com.usky.dxtop.common.core.domain.AjaxResult;
import com.usky.dxtop.service.DeptService;
import com.usky.dxtop.service.vo.StaffRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
@RestController
@RequestMapping("/dxtop/dept")
public class DeptController {

    @Autowired
    private DeptService deptService;

    @PostMapping("page")
    public AjaxResult page(@RequestBody StaffRequest staffRequest){
        return AjaxResult.success(deptService.page(staffRequest));
    }
}

